Bug 496812 - RFE: yum-presto callback(s), for rebuilding esp.
RFE: yum-presto callback(s), for rebuilding esp.
Status: NEW
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 528910
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 05:46 EDT by Richard Hughes
Modified: 2015-01-12 08:26 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2009-04-21 05:46:05 EDT
Description of problem:
PackageKit has no way to know that presto has started rebuilding rpms from deltarpms, other than to screenscrape the output for the "Rebuilding rpms from deltarpms" string, which then gets overwritten by more "downloading" packages.

Version-Release number of selected component (if applicable):

yum-presto-0.4.5-4.fc11.noarch

How reproducible:
Always

Steps to Reproduce:
1. install yum presto
2. sudo NETWORK=TRUE ./yumBackend.py update-packages "gnote;0.1.2-2.fc11;i586;rawhide&kernel;2.6.29.1-100.fc11;i586;rawhide"
3. observe no callback for the RPMBaseCallback or yumbase.processTransaction callback or rpmDisplay.
  
Actual results:
It looks like packages download, download, then install.

Expected results:
It looks like packages download, are rebuilt then install

Additional info:
I think presto just has to call the callback set in yumbase.processTransaction, which might be available in conduit._base, I'm not sure. The other callbacks seem to fire fine (progress and downloading) although I think these are still coming from yum, rather than yum-presto.
Comment 1 Tim Lauridsen 2009-05-06 13:50:43 EDT
Richard, yum-presto is a plugin, not a part of yumbase. Plugins can do all kind of weird stuff we don't know about. And they are not supposed to call anything in the yumbase callbacks. In a later point in time, yum-presto might be included in yumbase and at then we can add special callback hooks for presto.
Comment 2 James Antill 2009-05-06 14:53:49 EDT
 Also in the upstream for the plugin I changed it to call the first repo download callback that it finds ... and so it'll do a "virtual" download, of the pkg. from the delta to the pkg itself.
 This dtrt. in text mode.

 Latest upstream is in Fed-12 rawhide, will probably go into updates-testing for Fed-11 after GA.

 As Tim said, I'm not sure we can do anything else (a specific callback etc.) until we have the presto stuff in core.
Comment 3 Jonathan Dieter 2015-01-12 08:26:07 EST
yum-presto has been merged into core, so if this is still a problem, it needs to be dealt with in yum itself.

Note You need to log in before you can comment on or make changes to this bug.